Skip to content
Start here

V2

List images V2
GET/accounts/{account_id}/images/v2
ModelsExpand Collapse
V2ListResponse = object { continuation_token, images }
continuation_token: optional string

Continuation token to fetch next page. Passed as a query param when requesting List V2 api endpoint.

maxLength32
images: optional array of Image { id, creator, filename, 4 more }
id: optional string

Image unique identifier.

maxLength32
creator: optional string

Can set the creator field with an internal user ID.

maxLength1024
filename: optional string

Image file name.

maxLength255
meta: optional unknown

User modifiable key-value store. Can be used for keeping references to another system of record for managing images. Metadata must not exceed 1024 bytes.

requireSignedURLs: optional boolean

Indicates whether the image can be a accessed only using it's UID. If set to true, a signed token needs to be generated with a signing key to view the image.

uploaded: optional string

When the media item was uploaded.

formatdate-time
variants: optional array of string

Object specifying available variants for an image.

V2Direct Uploads

Create authenticated direct upload URL V2
POST/accounts/{account_id}/images/v2/direct_upload
ModelsExpand Collapse
DirectUploadCreateResponse = object { id, uploadURL }
id: optional string

Image unique identifier.

maxLength32
uploadURL: optional string

The URL the unauthenticated upload can be performed to using a single HTTP POST (multipart/form-data) request.